Skip to main content
GET
/
v1
/
agents
List agents
curl --request GET \
  --url https://api.tryprofound.com/v1/agents \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "status": "draft",
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>"
    }
  ],
  "pagination": {
    "limit": 10000,
    "next_cursor": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

statuses
enum<string>[] | null

Optional status filter. Use published to list agents that have a live published version, or draft to list agents that have not been published yet. Defaults to published.

Statuses you can use to filter the list agents response.

Available options:
published,
draft
limit
integer
default:100
Required range: x <= 100
next_cursor
string | null

Response

Successful Response

Paginated list of agents.

data
Agent · object[]
required

Agents returned for this page.

pagination
CursorPagination · object

Cursor pagination details for this response.